
/*
 * (c) Stephan Sellner
 *
 * Author  Stephan Sellner
 * Version 0.1.1
 *
 * This file is part of the package ExtensionBuilder/eb_sample.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 *
 *
 * Extension created with Media Projekte Extension Builder
 *
 *  Build date/time: 2022-05-19 17:41:45
 *
 */


# MediaProjekteGmbH\MpgExtensionBuilder\Extension\ExtTablesSql::build
# Test

CREATE TABLE tx_ebsample_domain_model_sample (
	sample_text TEXT DEFAULT '' NOT NULL,
	sample_int INT(11) DEFAULT '0' NOT NULL,
	sample_tinyint TINYINT(4) DEFAULT '0' NOT NULL,
	sample_double2 DOUBLE PRECISION DEFAULT '0' NOT NULL,
	sample_bool TINYINT(4) DEFAULT '0' NOT NULL,
	sample_date INT(11) DEFAULT NULL NOT NULL,
	sample_datetime INT(11) DEFAULT NULL NOT NULL,
	sample_time INT(11) DEFAULT NULL NOT NULL,
	sample_timesec INT(11) DEFAULT NULL NOT NULL,
	sample_varchar VARCHAR(200) DEFAULT '' NOT NULL,
	sample_tinytext TINYTEXT DEFAULT '' NOT NULL,
	sample_mediumtext MEDIUMTEXT DEFAULT '' NOT NULL,
	sample_longtext LONGTEXT DEFAULT '' NOT NULL,
	sample_email VARCHAR(200) DEFAULT '' NOT NULL,
	sample_pw VARCHAR(200) DEFAULT '' NOT NULL,
	sample_slug VARCHAR(200) DEFAULT '' NOT NULL,
	sample_link VARCHAR(200) DEFAULT '' NOT NULL,
	sample_blob BLOB DEFAULT '' NOT NULL,
	sample_tinyblob TINYBLOB DEFAULT '' NOT NULL,
	sample_mediumblob MEDIUMBLOB DEFAULT '' NOT NULL,
	sample_longblob LONGBLOB DEFAULT '' NOT NULL,
	sample_selectsingle INT(11) UNSIGNED DEFAULT '0' NOT NULL
);

