<?php declare(strict_types=1);

/*
 * (c) Stephan Sellner
 *
 * Author  Stephan Sellner
 * Version 0.1.1
 *
 * This file is part of the package ExtensionBuilder/eb_sample.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 *
 *
 * Extension created with Media Projekte Extension Builder
 *
 *  Build date/time: 2022-05-19 17:41:45
 *
 */

namespace ExtensionBuilder\EbSample\Domain\Model;

class Sample extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	protected $sampleText = '';
	protected $sampleInt = '';
	protected $sampleTinyint = '';
	protected $sampleDouble2 = '';
	protected $sampleBool = false;
	protected $sampleDate = '';
	protected $sampleDatetime = '';
	protected $sampleTime = '';
	protected $sampleTimesec = '';
	protected $sampleVarchar = '';
	protected $sampleTinytext = '';
	protected $sampleMediumtext = '';
	protected $sampleLongtext = '';
	protected $sampleEmail = '';
	protected $samplePw = '';
	protected $sampleSlug = '';
	protected $sampleLink = '';
	protected $sampleBlob = '';
	protected $sampleTinyblob = '';
	protected $sampleMediumblob = '';
	protected $sampleLongblob = '';
	protected $sampleSelectsingle = '';

	public function getSampleText() {
		return $this->sampleText;
	}

	public function setSampleText( $sampleText ) {
		$this->sampleText = $sampleText;
	}

	public function getSampleInt() {
		return $this->sampleInt;
	}

	public function setSampleInt( $sampleInt ) {
		$this->sampleInt = $sampleInt;
	}

	public function getSampleTinyint() {
		return $this->sampleTinyint;
	}

	public function setSampleTinyint( $sampleTinyint ) {
		$this->sampleTinyint = $sampleTinyint;
	}

	public function getSampleDouble2() {
		return $this->sampleDouble2;
	}

	public function setSampleDouble2( $sampleDouble2 ) {
		$this->sampleDouble2 = $sampleDouble2;
	}

	public function getSampleBool() {
		return $this->sampleBool;
	}

	public function setSampleBool( $sampleBool ) {
		$this->sampleBool = (bool)$sampleBool;
	}

	public function getSampleDate() {
		return $this->sampleDate;
	}

	public function setSampleDate( $sampleDate ) {
		$this->sampleDate = $sampleDate;
	}

	public function getSampleDatetime() {
		return $this->sampleDatetime;
	}

	public function setSampleDatetime( $sampleDatetime ) {
		$this->sampleDatetime = $sampleDatetime;
	}

	public function getSampleTime() {
		return $this->sampleTime;
	}

	public function setSampleTime( $sampleTime ) {
		$this->sampleTime = $sampleTime;
	}

	public function getSampleTimesec() {
		return $this->sampleTimesec;
	}

	public function setSampleTimesec( $sampleTimesec ) {
		$this->sampleTimesec = $sampleTimesec;
	}

	public function getSampleVarchar() {
		return $this->sampleVarchar;
	}

	public function setSampleVarchar( $sampleVarchar ) {
		$this->sampleVarchar = $sampleVarchar;
	}

	public function getSampleTinytext() {
		return $this->sampleTinytext;
	}

	public function setSampleTinytext( $sampleTinytext ) {
		$this->sampleTinytext = $sampleTinytext;
	}

	public function getSampleMediumtext() {
		return $this->sampleMediumtext;
	}

	public function setSampleMediumtext( $sampleMediumtext ) {
		$this->sampleMediumtext = $sampleMediumtext;
	}

	public function getSampleLongtext() {
		return $this->sampleLongtext;
	}

	public function setSampleLongtext( $sampleLongtext ) {
		$this->sampleLongtext = $sampleLongtext;
	}

	public function getSampleEmail() {
		return $this->sampleEmail;
	}

	public function setSampleEmail( $sampleEmail ) {
		$this->sampleEmail = $sampleEmail;
	}

	public function getSamplePw() {
		return $this->samplePw;
	}

	public function setSamplePw( $samplePw ) {
		$this->samplePw = $samplePw;
	}

	public function getSampleSlug() {
		return $this->sampleSlug;
	}

	public function setSampleSlug( $sampleSlug ) {
		$this->sampleSlug = $sampleSlug;
	}

	public function getSampleLink() {
		return $this->sampleLink;
	}

	public function setSampleLink( $sampleLink ) {
		$this->sampleLink = $sampleLink;
	}

	public function getSampleBlob() {
		return $this->sampleBlob;
	}

	public function setSampleBlob( $sampleBlob ) {
		$this->sampleBlob = $sampleBlob;
	}

	public function getSampleTinyblob() {
		return $this->sampleTinyblob;
	}

	public function setSampleTinyblob( $sampleTinyblob ) {
		$this->sampleTinyblob = $sampleTinyblob;
	}

	public function getSampleMediumblob() {
		return $this->sampleMediumblob;
	}

	public function setSampleMediumblob( $sampleMediumblob ) {
		$this->sampleMediumblob = $sampleMediumblob;
	}

	public function getSampleLongblob() {
		return $this->sampleLongblob;
	}

	public function setSampleLongblob( $sampleLongblob ) {
		$this->sampleLongblob = $sampleLongblob;
	}

	public function getSampleSelectsingle() {
		return $this->sampleSelectsingle;
	}

	public function setSampleSelectsingle( $sampleSelectsingle ) {
		$this->sampleSelectsingle = (int)$sampleSelectsingle;
	}

}
