<?php

/*
 * (c) Stephan Sellner
 *
 * Author  Stephan Sellner
 * Version 0.1.1
 *
 * This file is part of the package ExtensionBuilder/eb_sample.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 *
 *
 * Extension created with Media Projekte Extension Builder
 *
 *  Build date/time: 2022-05-19 17:41:45
 *
 */

$EM_CONF['eb_sample'] = [
	'title'            => 'Extension Builder - Sample',
	'description'      => 'Example configuration file',
	'category'         => 'plugin',
	'version'          => '0.1.1',
	'author'           => 'Stephan Sellner',
	'author_email'     => 'contact@extension-builder.com',
	'author_company'   => 'Stephan Sellner',
	'state'            => 'beta',
	'constraints' => [
		'depends' => [
			'typo3' => '12',
		],
	],
	'autoload' => [
		'psr-4' => [
			'ExtensionBuilder\\EbSample\\' => 'Classes',
		],
	],
];
